import { html } from 'https://unpkg.com/htm/preact/index.mjs?module'

// Represents a "piano roll".
function Track (props) {
  // These are tricky to represent without resorting to inline CSS... :/
  const sausages = props.track.events.map((event, key) => {
    if (event.kind !== 'note') { return null }

    const style = {
      left: `${event.startAt / 10}px`,
      width: `${(event.stopAt - event.startAt) / 10}px`,
      top: `${event.note * 10}px`,
      height: '10px'
    }

    return html`<div key=${key} className='sausage' style=${style} />`
  })

  return html`
    <div className='track'>
      <div className='piano-roll'>
        ${sausages}
      </div>
    </div>
  `
}

export default Track
