// See https://en.wikipedia.org/wiki/Piano_key_frequencies for the formula, but
// be aware that MIDI numbers the notes differently to the standard piano ones:
// https://www.inspiredacoustics.com/en/MIDI_note_numbers_and_center_frequencies
const f = (n) => Math.pow(2, (n - 69) / 12) * 440 // A4 = Piano #49 or MIDI #69

function playSynth (audio, device, event, startTime, endTime) {
  if (!audio) { return }

  const oscillator = audio.createOscillator()
  oscillator.type = device.mode
  oscillator.frequency.setValueAtTime(f(event.note), audio.currentTime)

  const gainNode = audio.createGain()
  gainNode.gain.value = event.velocity / 127

  oscillator.connect(gainNode)
  gainNode.connect(audio.destination)

  oscillator.start(audio.currentTime + startTime/1000)
  oscillator.stop(audio.currentTime + endTime/1000)
}

export default playSynth
